Bug 1032440 - org.picketlink.idm.impl.cache.AbstractInfinispanCacheProvider.getNamespaceForFqn replace inconsistency also in GROUPS_SEARCHES and NODE_ROLE_SEARCHES
org.picketlink.idm.impl.cache.AbstractInfinispanCacheProvider.getNamespaceFor...
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: PicketLink (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity unspecified
: DR01
: 6.1.1
Assigned To: mposolda
Dominik Pospisil
:
Depends On: 1016420
Blocks: 1018683
  Show dependency treegraph
 
Reported: 2013-11-20 03:33 EST by Adam Kovari
Modified: 2015-08-31 23:05 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An issue with PicketlinkIDMCacheService prevented some items being invalidated through JMX. The fix implements changes to PicketlinkIDMCacheService which makes it possible to invalidate all IDM cache items through JMX. The fix also adds the functionality to invalidate items from apiCacheProvider, storeCacheProvider and IntegrationCache. For example, using these arguments to invalidate() operation of JMX should work now: "idm_realm_portal/USERS/demo", "idm_realm_portal/GROUP_SEARCHES/123456".
Story Points: ---
Clone Of: 1016420
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3300 Major Resolved Add possibility to invalidate items in IntegrationCache via JMX call to PicketlinkIDMCacheService.invalidate() 2014-02-19 11:34:54 EST
JBoss Issue Tracker PLIDM-45 Major Resolved It's not possible to invalidate some items in APICacheProvider via JMX call 2014-02-19 11:34:51 EST
Red Hat Knowledge Base (Solution) 516053 None None None Never

  None (edit)
Comment 5 Tomas Kyjovsky 2014-01-09 13:17:52 EST
Verified using PicketLinkIDMCacheService MBean.
Comment 6 Jared MORGAN 2014-02-04 18:36:03 EST
I've updated the CCFR text. If you could just verify it is correct, that would be appreciated. I have marked it for inclusion in the release notes.
Comment 7 mposolda 2014-02-05 03:32:58 EST
I am confirming that text is correct

Note You need to log in before you can comment on or make changes to this bug.